### Method

# FwupdPlugin HidDevice set_interface

since: 1.4.0

#### Declaration [src]

    void
    fu_hid_device_set_interface (
      FuHidDevice* self,
      guint8 interface_number
    )

#### Description [src]

Sets the HID USB interface number.

In most cases the HID interface is auto-detected, but this function can be used where there are multiple HID interfaces or where the device USB interface descriptor is invalid.

Available since: 1.4.0

Sets property | `FwupdPlugin.HidDevice:interface`

#### Parameters

`interface_number`

  Type: `guint8`

  An interface number, e.g. `0x03`.